Frage von xXDarkShouterXx, 17

Minecraft Plugin Error?

Hallo,ich habe ein Plugin namens SkyPvP,auf mein test server geht der.Aber jetzt habe ich ein Nitrado-Server,und immer wenn ich ihn reloade mit das Plugin steht in der Konsole: [23:14:19] [Server thread/ERROR]: Could not load 'plugins/SkyPvP (1).jar' in folder 'plugins' org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: me/bukkittnt/skypvp/Main : Unsupported major.minor version 52.0 at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:133) ~[craftbukkit.jar:git-Bukkit-12698ea] at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:328) ~[craftbukkit.jar:git-Bukkit-12698ea] at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:251) [craftbukkit.jar:git-Bukkit-12698ea] at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugins(CraftServer.java:289) [craftbukkit.jar:git-Bukkit-12698ea] at org.bukkit.craftbukkit.v1_8_R3.CraftServer.(CraftServer.java:251) [craftbukkit.jar:git-Bukkit-12698ea] at net.minecraft.server.v1_8_R3.PlayerList.(PlayerList.java:69) [craftbukkit.jar:git-Bukkit-12698ea] at net.minecraft.server.v1_8_R3.DedicatedPlayerList.(SourceFile:14) [craftbukkit.jar:git-Bukkit-12698ea] at net.minecraft.server.v1_8_R3.DedicatedServer.init(DedicatedServer.java:179) [craftbukkit.jar:git-Bukkit-12698ea] at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:504) [craftbukkit.jar:git-Bukkit-12698ea] at java.lang.Thread.run(Unknown Source) [?:1.7.0_71] Caused by: java.lang.UnsupportedClassVersionError: me/bukkittnt/skypvp/Main : Unsupported major.minor version 52.0 at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.7.0_71] at java.lang.ClassLoader.defineClass(Unknown Source) ~[?:1.7.0_71] at java.security.SecureClassLoader.defineClass(Unknown Source) ~[?:1.7.0_71] at java.net.URLClassLoader.defineClass(Unknown Source) ~[?:1.7.0_71] at java.net.URLClassLoader.access$100(Unknown Source) ~[?:1.7.0_71] at java.net.URLClassLoader$1.run(Unknown Source) ~[?:1.7.0_71] at java.net.URLClassLoader$1.run(Unknown Source) ~[?:1.7.0_71] at java.security.AccessController.doPrivileged(Native Method) ~[?:1.7.0_71] at java.net.URLClassLoader.findClass(Unknown Source) ~[?:1.7.0_71] at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:77) ~[craftbukkit.jar:git-Bukkit-12698ea] at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:62) ~[craftbukkit.jar:git-Bukkit-12698ea] at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.7.0_71] at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.7.0_71] at java.lang.Class.forName0(Native Method) ~[?:1.7.0_71] at java.lang.Class.forName(Unknown Source) ~[?:1.7.0_71] at org.bukkit.plugin.java.PluginClassLoader.(PluginClassLoader.java:40) ~[craftbukkit.jar:git-Bukkit-12698ea] at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:129) ~[craftbukkit.jar:git-Bukkit-12698ea] ... 9 more

Antwort
von thorsten32123, 12

Kann es sein, das du das Plugin in einer anderen Version programmiert hast, als der Server ist?

Kommentar von xXDarkShouterXx ,

Ach danke,ich habe die falsche version instlliert

Kommentar von thorsten32123 ,

Bitteschön :)

Sie kennen die Antwort?

Fragen Sie die Community

Weitere Fragen mit Antworten